Skip to main content
GET
Get an Outbound Webhook

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Outbound webhook id (UUID)

Response

OK

attemptCount
integer
Example:

0

createdAt
string<date-time>
Example:

"2026-05-21T12:00:00Z"

deadLetter
boolean

Dead-letter-only fields. Populated when DeadLetter is true.

Example:

false

deliveredAt
string<date-time>
Example:

"2026-05-21T12:00:00Z"

entityId
string
Example:

"019cf6ef-e418-7ced-80c0-7b9816faa798"

entityType
string
Example:

"DICT_ENTRY"

errorMessage
string
Example:

"timeout calling target URL"

failedAt
string<date-time>
Example:

"2026-05-21T12:00:00Z"

failureReason
string
Example:

"max_retries_exceeded"

flowType
string
Example:

"DICT"

id
string
Example:

"019cf6ef-e418-7ced-80c0-7b9816faa798"

lastAttemptAt
string<date-time>
Example:

"2026-05-21T12:00:00Z"

maxRetries
integer
Example:

3

movedBy
string
Example:

"system"

nextRetryAt
string<date-time>
Example:

"2026-05-21T12:00:00Z"

payload
object
requestId
string
Example:

"560d59b9-3c74-46f8-be67-fee895b8e89e"

status
enum<string>
Available options:
PENDING,
PROCESSING,
SENT,
FAILED,
DEAD_LETTER
Example:

"PENDING"

targetUrl
string
Example:

"https://client.example.com/webhooks"

updatedAt
string<date-time>
Example:

"2026-05-21T12:00:00Z"